package domain


type AlibabaWdkSupplierOrderListPayChannel struct {
    /*
        payType     */
    PayType  *int64 `json:"pay_type,omitempty" `

    /*
        payAmount     */
    PayAmount  *int64 `json:"pay_amount,omitempty" `

    /*
        actualPayAmount     */
    ActualPayAmount  *int64 `json:"actual_pay_amount,omitempty" `

    /*
        payAttributes     */
    PayAttributes  *string `json:"pay_attributes,omitempty" `

}

func (s *AlibabaWdkSupplierOrderListPayChannel) SetPayType(v int64) *AlibabaWdkSupplierOrderListPayChannel {
    s.PayType = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListPayChannel) SetPayAmount(v int64) *AlibabaWdkSupplierOrderListPayChannel {
    s.PayAmount = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListPayChannel) SetActualPayAmount(v int64) *AlibabaWdkSupplierOrderListPayChannel {
    s.ActualPayAmount = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListPayChannel) SetPayAttributes(v string) *AlibabaWdkSupplierOrderListPayChannel {
    s.PayAttributes = &v
    return s
}
